Package com.arms.api.report.mail.controller

## Class MailController

- java.lang.Object
- - com.arms.api.report.mail.controller.MailController

-     @Controller
      @RequestMapping("/arms/mail")
      public class MailController
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MailController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<java.lang.String>` | `fetchHtmlData()` |
    `org.springframework.http.ResponseEntity<java.lang.String>` | `saveChartImage()` |
    `org.springframework.http.ResponseEntity<java.util.List<EmailSendResult>>` | `sendAllEmailTest()` |
    `org.springframework.http.ResponseEntity<java.util.List<EmailSendResult>>` | `sendEmailsToAllUsers()` |
    `org.springframework.http.ResponseEntity<EmailSendResult>` | `sendTestEmail​(java.lang.String userEmail)` |
    `org.springframework.http.ResponseEntity<EmailSendResult>` | `validateSmtpConfig​(SenderDTO senderDTO)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MailController

          public MailController()

  - ### Method Detail

    - #### sendAllEmailTest

          @PostMapping("/send-all-test")
          public org.springframework.http.ResponseEntity<java.util.List<EmailSendResult>> sendAllEmailTest()
                                                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### sendTestEmail

          @PostMapping("/send-test")
          public org.springframework.http.ResponseEntity<EmailSendResult> sendTestEmail​(@RequestParam
                                                                                        java.lang.String userEmail)
                                                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### fetchHtmlData

          @GetMapping("/fetch-html-test")
          public org.springframework.http.ResponseEntity<java.lang.String> fetchHtmlData()
                                                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### validateSmtpConfig

          @PostMapping("/validate")
          public org.springframework.http.ResponseEntity<EmailSendResult> validateSmtpConfig​(@RequestBody
                                                                                             SenderDTO senderDTO)
                                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### sendEmailsToAllUsers

          @GetMapping("/send-to-registered-users")
          public org.springframework.http.ResponseEntity<java.util.List<EmailSendResult>> sendEmailsToAllUsers()
                                                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### saveChartImage

          @GetMapping("/save-chart-image")
          public org.springframework.http.ResponseEntity<java.lang.String> saveChartImage()
                                                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`